// Copyright (c) 2025 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_ULevelSequence.h"
#include "SCW_UMovieSceneSequence.h"

class ULevelSequence;;

namespace Sourcify
{
	class SCW_ULevelSequence : public SCW_UMovieSceneSequence, public virtual ISCW_ULevelSequence
	{
	public:
		SCW_ULevelSequence(ULevelSequence* InLevelSequence);

		ISCW_UBlueprintPtr GetDirectorBlueprint() const override;

		ULevelSequence* ToULevelSequence() const;

		ISCW_ULevelSequencePtr ToULevelSequencePtr() override;
		ISCW_ULevelSequenceConstPtr ToULevelSequencePtr() const override;

	protected:
		ULevelSequence* LevelSequence;
	};
} // namespace Sourcify